import { jsx as e } from "react/jsx-runtime";
import { G as d } from "./index-MLgFWWYi.js";
import { A as c } from "./AppCard-Zx_xfVt_.js";
import { u as m } from "./useIsAppEnabled-GIoK8AkC.js";
import l from "./EventTypeAppSettingsInterface-eqtUnnNt.js";
const b = function({ app: t, eventType: p }) {
  const { getAppData: r, setAppData: s, disabled: a } = d(), { enabled: n, updateEnabled: o } = m(t);
  return /* @__PURE__ */ e(
    c,
    {
      app: t,
      switchOnClick: (i) => {
        o(i);
      },
      switchChecked: n,
      children: /* @__PURE__ */ e(
        l,
        {
          slug: t.slug,
          eventType: p,
          disabled: a,
          getAppData: r,
          setAppData: s
        }
      )
    }
  );
};
export {
  b as default
};
